<?php
define('BASE_PATH', __DIR__ . '/../');
define('PUBLIC_PATH', __DIR__ . '/../public');
define('UPLOADS_PATH', PUBLIC_PATH . '/uploads');
require_once __DIR__ . '/lib.php';
require_once __DIR__ . '/config.php';
require_once __DIR__ . '/db.php';
spl_autoload_register(function ($class) {
    $prefix = 'Thirty\\'; $base_dir = __DIR__ . '/'; $len = strlen($prefix);
    if (strncmp($prefix, $class, $len) !== 0) return; $relative = substr($class, $len);
    $file = $base_dir . str_replace('\\', '/', $relative) . '.php'; if (file_exists($file)) require_once $file; });
